Package org.eclipse.birt.chart.model.attribute

# Interface Bounds

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `BoundsImpl`

public interface Bounds extends IChartObject
A representation of the model object 'Bounds'. Bounds represents the physical size and position of an element.

The following features are supported:

- `Left`
- `Top`
- `Width`
- `Height`

See Also:
  - `AttributePackage.getBounds()`

## Method Summary

Modifier and Type
Method
Description
`void`
`adjust(Insets ins)`
Causes the internal (left,right,width,height) values to be scaled by a the specified Insets
`Bounds`
`adjustedInstance(Insets ins)`
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written
`boolean`
`contains(Location lo)`
Returns if the given point is within this bounds.
`Bounds`
`copyInstance()`
`void`
`delta(double dLeft, double dTop, double dWidth, double dHeight)`
Adds a 'delta' value to the existing member variables and applies it to the current instance
`double`
`getHeight()`
Returns the value of the 'Height' attribute.
`double`
`getLeft()`
Returns the value of the 'Left' attribute.
`double`
`getTop()`
Returns the value of the 'Top' attribute.
`double`
`getWidth()`
Returns the value of the 'Width' attribute.
`boolean`
`isSetHeight()`
Returns whether the value of the '`Height`' attribute is set.
`boolean`
`isSetLeft()`
Returns whether the value of the '`Left`' attribute is set.
`boolean`
`isSetTop()`
Returns whether the value of the '`Top`' attribute is set.
`boolean`
`isSetWidth()`
Returns whether the value of the '`Width`' attribute is set.
`void`
`max(Bounds bo)`
`void`
`scale(double dScale)`
Causes the internal (left,right,width,height) values to be scaled by a relative (dScale) value
`Bounds`
`scaledInstance(double dScale)`
Returns a new Bounds instance with scaled members
`void`
`set(double dLeft, double dTop, double dWidth, double dHeight)`
A convenience method provided to update all members of an existing instance
`void`
`setHeight(double value)`
Sets the value of the '`Height`' attribute.
`void`
`setLeft(double value)`
Sets the value of the '`Left`' attribute.
`void`
`setTop(double value)`
Sets the value of the '`Top`' attribute.
`void`
`setWidth(double value)`
Sets the value of the '`Width`' attribute.
`void`
`translate(double dTranslateX, double dTranslateY)`
Causes the internal (left,right) location to be translated by a relative value of (dTranslateX, dTranslateY)
`Bounds`
`translateInstance(double dTranslateX, double dTranslateY)`
Creates a new 'Bounds' instance by translate the existing 'Bounds' instance using given offsets.
`void`
`unsetHeight()`
Unsets the value of the '`Height`' attribute.
`void`
`unsetLeft()`
Unsets the value of the '`Left`' attribute.
`void`
`unsetTop()`
Unsets the value of the '`Top`' attribute.
`void`
`unsetWidth()`
Unsets the value of the '`Width`' attribute.
`void`
`updateFrom(Location[] loa)`
Updates an existing Bounds instance to encompass the polygon specified by a given set of points

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLeft

double getLeft()
Returns the value of the 'Left' attribute. Holds Left co-ord of the Top Left Corner of chart element

Returns:
  the value of the 'Left' attribute.
See Also:
  - `isSetLeft()`
  - `unsetLeft()`
  - `setLeft(double)`
  - `AttributePackage.getBounds_Left()`

### setLeft

void setLeft(double value)
Sets the value of the '`Left`' attribute. Sets the Left co-ord of the Top Left Corner of chart element

Parameters:
  `value` - the new value of the 'Left' attribute.
See Also:
  - `isSetLeft()`
  - `unsetLeft()`
  - `getLeft()`

### unsetLeft

void unsetLeft()
Unsets the value of the '`Left`' attribute.

See Also:
  - `isSetLeft()`
  - `getLeft()`
  - `setLeft(double)`

### isSetLeft

boolean isSetLeft()
Returns whether the value of the '`Left`' attribute is set.

Returns:
  whether the value of the 'Left' attribute is set.
See Also:
  - `unsetLeft()`
  - `getLeft()`
  - `setLeft(double)`

### getTop

double getTop()
Returns the value of the 'Top' attribute. Holds Top co-ord of the Top Left Corner of chart element

Returns:
  the value of the 'Top' attribute.
See Also:
  - `isSetTop()`
  - `unsetTop()`
  - `setTop(double)`
  - `AttributePackage.getBounds_Top()`

### setTop

void setTop(double value)
Sets the value of the '`Top`' attribute. Sets the Top co-ord of the Top Left Corner of chart element

Parameters:
  `value` - the new value of the 'Top' attribute.
See Also:
  - `isSetTop()`
  - `unsetTop()`
  - `getTop()`

### unsetTop

void unsetTop()
Unsets the value of the '`Top`' attribute.

See Also:
  - `isSetTop()`
  - `getTop()`
  - `setTop(double)`

### isSetTop

boolean isSetTop()
Returns whether the value of the '`Top`' attribute is set.

Returns:
  whether the value of the 'Top' attribute is set.
See Also:
  - `unsetTop()`
  - `getTop()`
  - `setTop(double)`

### getWidth

double getWidth()
Returns the value of the 'Width' attribute. Holds width of the chart element

Returns:
  the value of the 'Width' attribute.
See Also:
  - `isSetWidth()`
  - `unsetWidth()`
  - `setWidth(double)`
  - `AttributePackage.getBounds_Width()`

### setWidth

void setWidth(double value)
Sets the value of the '`Width`' attribute. Sets the width component of the bounds.

Parameters:
  `value` - the new value of the 'Width' attribute.
See Also:
  - `isSetWidth()`
  - `unsetWidth()`
  - `getWidth()`

### unsetWidth

void unsetWidth()
Unsets the value of the '`Width`' attribute.

See Also:
  - `isSetWidth()`
  - `getWidth()`
  - `setWidth(double)`

### isSetWidth

boolean isSetWidth()
Returns whether the value of the '`Width`' attribute is set.

Returns:
  whether the value of the 'Width' attribute is set.
See Also:
  - `unsetWidth()`
  - `getWidth()`
  - `setWidth(double)`

### getHeight

double getHeight()
Returns the value of the 'Height' attribute. Holds height of the chart element

Returns:
  the value of the 'Height' attribute.
See Also:
  - `isSetHeight()`
  - `unsetHeight()`
  - `setHeight(double)`
  - `AttributePackage.getBounds_Height()`

### setHeight

void setHeight(double value)
Sets the value of the '`Height`' attribute. Sets the height component of the bounds.

Parameters:
  `value` - the new value of the 'Height' attribute.
See Also:
  - `isSetHeight()`
  - `unsetHeight()`
  - `getHeight()`

### unsetHeight

void unsetHeight()
Unsets the value of the '`Height`' attribute.

See Also:
  - `isSetHeight()`
  - `getHeight()`
  - `setHeight(double)`

### isSetHeight

boolean isSetHeight()
Returns whether the value of the '`Height`' attribute is set.

Returns:
  whether the value of the 'Height' attribute is set.
See Also:
  - `unsetHeight()`
  - `getHeight()`
  - `setHeight(double)`

### adjust

void adjust(Insets ins)
Causes the internal (left,right,width,height) values to be scaled by a the specified Insets

Parameters:
  `ins` -

### adjustedInstance

Bounds adjustedInstance(Insets ins)
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written

Parameters:
  `ins` -
Returns:

### delta

void delta(double dLeft, double dTop, double dWidth, double dHeight)
Adds a 'delta' value to the existing member variables and applies it to the current instance

Parameters:
  `dLeft` -
  `dTop` -
  `dWidth` -
  `dHeight` -

### translate

void translate(double dTranslateX, double dTranslateY)
Causes the internal (left,right) location to be translated by a relative value of (dTranslateX, dTranslateY)

Parameters:
  `dX` -
  `dY` -

### translateInstance

Bounds translateInstance(double dTranslateX, double dTranslateY)
Creates a new 'Bounds' instance by translate the existing 'Bounds' instance using given offsets.

Parameters:
  `dTranslateX` -
  `dTranslateY` -
Returns:

### scale

void scale(double dScale)
Causes the internal (left,right,width,height) values to be scaled by a relative (dScale) value

Parameters:
  `dScale` -

### scaledInstance

Bounds scaledInstance(double dScale)
Returns a new Bounds instance with scaled members

Parameters:
  `dScale` - The scaling factor
Returns:
  A new scaled instance

### set

void set(double dLeft, double dTop, double dWidth, double dHeight)
A convenience method provided to update all members of an existing instance

Parameters:
  `dLeft` -
  `dTop` -
  `dWidth` -
  `dHeight` -

### updateFrom

void updateFrom(Location[] loa)
Updates an existing Bounds instance to encompass the polygon specified by a given set of points

Parameters:
  `loa` -

### contains

boolean contains(Location lo)
Returns if the given point is within this bounds.

Parameters:
  `lo` -
Returns:

### max

void max(Bounds bo)

Parameters:
  `bo` -

### copyInstance

Bounds copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`